package example.client;

import example.entity.UserCredential;

import javax.persistence.*;

public class Main {

    public static void main(String... args) throws Exception {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("pu1", null);
        EntityManager em = emf.createEntityManager();
        if(args.length == 0) {
            System.out.println("Usage: java "+ Main.class.getName() + " <name...>");
            System.exit(1);
        }
        for(String name : args) {
            EntityTransaction et = em.getTransaction();
            et.begin();
            System.out.println("Finding " + name);
            UserCredential uc = em.find(UserCredential.class, name);
            if(uc!=null) {
                System.out.println("Removing " + name);
                em.remove(uc);
            } else {
                System.out.println("No user by called " + name + ", so creating a new one.");
                em.persist(new UserCredential(name, name));
            }
            et.commit();
        }
        em.close();
    }
}
